Bug 126099 - Assign keys from the numpad as shortcuts does not work
Summary: Assign keys from the numpad as shortcuts does not work
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Keyboard (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-23 11:52 UTC by Marcus Popp
Modified: 2022-01-02 14:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Popp 2006-04-23 11:52:03 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    Ubuntu Packages

I can't assign several keys (0,1,2,3,4,5,6,7,8,9,.) from the numpad (with NumLock activated) as shortcuts. If I try to assign one of the keys to a function I get an empty field. I have the same problem with digikam itself.
With this bug? fixed I could only use the numpad for the rating/selection workflow.
Comment 1 Stephan Sokolow 2006-06-11 06:51:20 UTC
I get a similar problem. I can assign WinKey+KP_Enter (Windows Key + NumPad Enter) and the assignment doesn't care whether NumLock is set or not, but the combo only triggers if NumLock is off when it's pressed.

I'm using KDE 3.5.2 on Gentoo Linux.
Comment 2 caulier.gilles 2006-12-11 15:45:06 UTC
Marcus,

Under 0.9.0-RC2, Rating property can be assigned using CTRL+0/1/2/3/4/5 shortcuts.

It's not enough ?

Gilles
Comment 3 Marcus Popp 2006-12-11 19:45:58 UTC
On 2006-12-11T14:45, Gilles Caulier wrote:
[bugs.kde.org quoted mail]
sure it's enough, but I prefer free choice for assigning shortcuts the
way I like.

Thanks for all the good work,

Marcus.
Comment 4 caulier.gilles 2006-12-11 20:16:00 UTC
Marcus, 

Assigning a simple key like 1,2,3,4 will be in conflic with right side bar, especially when you will enter a comment with a number. It will assign a rating and enter a number at te same time. I have fixed a similar problem with rotate actions in editor with used 7,8,9 keys. Now, i use SHIFT+7/8/9.

Gilles
Comment 5 Marcus Popp 2006-12-11 20:36:59 UTC
I still see no conflict from the user view, but if there are conflict under the hood, close the bug. If you enter a comment/text (special mode) simple shortcuts shouldn't work of course.

Marcus.
Comment 6 caulier.gilles 2006-12-11 20:46:03 UTC
Ok, i close it now.

Gilles